Marcar crédito como refinanciado
curl --request POST \
--url https://api.finup.ar/api/credits/{id}/refinance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refinanced_from_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.finup.ar/api/credits/{id}/refinance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/credits/{id}/refinance"
payload = { "refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Créditos
Marcar crédito como refinanciado
Requiere acceso total.
POST
https://api.finup.ar
/
api
/
credits
/
{id}
/
refinance
Marcar crédito como refinanciado
curl --request POST \
--url https://api.finup.ar/api/credits/{id}/refinance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({refinanced_from_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.finup.ar/api/credits/{id}/refinance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/credits/{id}/refinance"
payload = { "refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"status": "active",
"refinanced_from_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "<string>",
"origin_transaction_reference": "<string>",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"written_off_at": "2023-11-07T05:31:56Z",
"write_off_reason": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Path Parameters
ID del crédito.
Body
application/json
Response
Crédito actualizado.
Available options:
active, refinanced, closed, written_off, inactive 